<?php

if ( !defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

if ( !class_exists( 'Osteo_Assets_Manager' ) ) {

    class Osteo_Assets_Manager {

        private static $_instance = null;
        public static function instance() {
            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }
            return self::$_instance;
        }

        public function __construct() {
            add_action( "elementor/frontend/after_enqueue_styles", [$this, 'frontend_enqueue_styles'] );
            add_action( 'elementor/frontend/after_enqueue_scripts', [$this, 'frontend_enqueue_scripts'] );
        }

        public function frontend_enqueue_styles() {

            wp_enqueue_style( 'cmk-hover', OSTEO_ASSETS . 'vendor/css/cmk-hover.css', array(), '1.0.0' );
            wp_enqueue_style( 'magnific-popup', OSTEO_ASSETS . 'vendor/css/magnific-popup.css', array(), '1.1.0' );
            wp_enqueue_style( 'osteo', OSTEO_ASSETS . 'css/osteo.css', array(), '1.0.0' );

        }

        public function frontend_enqueue_scripts() {

            wp_enqueue_script( 'rcounterup', OSTEO_ASSETS . 'vendor/js/jquery.rcounterup.js', array( 'jquery' ), '1.0.0', true );
            wp_enqueue_script( 'waypoints', OSTEO_ASSETS . 'vendor/js/waypoints.min.js', array( 'jquery' ), '1.6.2', true );
            wp_enqueue_script( 'magnific-popup', OSTEO_ASSETS . 'vendor/js/jquery.magnific-popup.min.js', array( 'jquery' ), '1.1.0', true );
            wp_enqueue_script( 'osteo', OSTEO_ASSETS . 'js/osteo.js', array( 'jquery' ), '1.0.0', true );

        }

    }

    Osteo_Assets_Manager::instance();

}