<?php

if ( !defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

if ( !class_exists( 'Osteo_Widgets_Manager' ) ) {

    class Osteo_Widgets_Manager {

        private static $_instance = null;
        public static function instance() {
            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }
            return self::$_instance;
        }

        public function __construct() {

            // Register custom category
            add_action( "elementor/elements/categories_registered", [$this, 'register_new_category'] );

            // Add Plugin actions
            add_action( "elementor/widgets/widgets_registered", [$this, 'init_widgets'] );
        }

        // Add custom category.
        public function register_new_category( $manager ) {
            $manager->add_category( 'Osteo', [
                'title' => esc_html__( 'Osteo', 'osteo' ),
                'icon'  => 'fa fa-usd',
            ] );

        }

        // Controll Widgets
        public function init_widgets() {

            $widgets_manager = \Elementor\Plugin::instance()->widgets_manager;

            require_once OSTEO_PATH . 'widgets/pricing-plan.php';
            \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Osteo_Pricing_Package() );

        }

    }

    Osteo_Widgets_Manager::instance();

}